API

Set a new password using the link from the email

POST/api/crm/v2/application.recovery_passwordv2
operationId: application.recoveryPassword

Sets a new password using the link from the email. The user selects the password. On success, all user sessions are terminated—password reset also serves as a response to account compromise. A new session is not issued here: the user logs in with the new password.
Errors:

  • 334 — the link is invalid or already used
  • 335 — the link has expired
  • 110 — password is shorter than 6 characters
  • 27 — required field is missing.

Authorization

language + role

Request body application/json

object
tokenstring

Example: 569da58a0d706c21f908365a38add2ec1e438deeb00829d03e3a8b0d8db48faf94b0d67b

passwordstringrequired

Example: 987654321

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

errorobject
codeinteger

Example: 334

descriptionstring

Example: The link is invalid or has already been used